Package org.spongepowered.asm.mixin.transformer

## Class ClassInfo.InterfaceMethod

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.ClassInfo.Method
  - - org.spongepowered.asm.mixin.transformer.ClassInfo.InterfaceMethod

- Enclosing class:
    ClassInfo

      public class ClassInfo.InterfaceMethod
      extends ClassInfo.Method

  A method resolved in an interface via a class, return the member wrapped so that the implementing class can be retrieved.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InterfaceMethod​(org.spongepowered.asm.mixin.transformer.ClassInfo.Member member)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.String name, java.lang.String desc)` |
    `int` | `getAccess()` |
    `java.lang.String` | `getDesc()` |
    `protected java.lang.String` | `getDisplayFormat()` |
    `ClassInfo` | `getImplementor()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getOriginalDesc()` |
    `java.lang.String` | `getOriginalName()` |
    `ClassInfo` | `getOwner()` |
    `int` | `hashCode()` |
    `boolean` | `isAbstract()` |
    `boolean` | `isDecoratedFinal()` |
    `boolean` | `isDecoratedMutable()` |
    `boolean` | `isFinal()` |
    `boolean` | `isInjected()` |
    `boolean` | `isPrivate()` |
    `boolean` | `isRemapped()` |
    `boolean` | `isRenamed()` |
    `boolean` | `isStatic()` |
    `boolean` | `isSynthetic()` |
    `boolean` | `isUnique()` |
    `boolean` | `matchesFlags​(int flags)` |
    `java.lang.String` | `remapTo​(java.lang.String desc)` |
    `protected void` | `setDecoratedFinal​(boolean decoratedFinal, boolean decoratedMutable)` |
    `void` | `setUnique​(boolean unique)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.spongepowered.asm.mixin.transformer.ClassInfo.Method

      `conform, equals, getFrames, isAccessor, isConformed, renameTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterfaceMethod

          public InterfaceMethod​(org.spongepowered.asm.mixin.transformer.ClassInfo.Member member)

  - ### Method Detail

    - #### getOwner

          public ClassInfo getOwner()

      Overrides:
        `getOwner` in class `ClassInfo.Method`

    - #### getImplementor

          public ClassInfo getImplementor()

    - #### getOriginalName

          public java.lang.String getOriginalName()

    - #### getName

          public java.lang.String getName()

    - #### getOriginalDesc

          public java.lang.String getOriginalDesc()

    - #### getDesc

          public java.lang.String getDesc()

    - #### isInjected

          public boolean isInjected()

    - #### isRenamed

          public boolean isRenamed()

    - #### isRemapped

          public boolean isRemapped()

    - #### isPrivate

          public boolean isPrivate()

    - #### isStatic

          public boolean isStatic()

    - #### isAbstract

          public boolean isAbstract()

    - #### isFinal

          public boolean isFinal()

    - #### isSynthetic

          public boolean isSynthetic()

    - #### isUnique

          public boolean isUnique()

    - #### setUnique

          public void setUnique​(boolean unique)

    - #### isDecoratedFinal

          public boolean isDecoratedFinal()

    - #### isDecoratedMutable

          public boolean isDecoratedMutable()

    - #### setDecoratedFinal

          protected void setDecoratedFinal​(boolean decoratedFinal,
                                           boolean decoratedMutable)

    - #### matchesFlags

          public boolean matchesFlags​(int flags)

    - #### getAccess

          public int getAccess()

    - #### remapTo

          public java.lang.String remapTo​(java.lang.String desc)

    - #### equals

          public boolean equals​(java.lang.String name,
                                java.lang.String desc)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getDisplayFormat

          protected java.lang.String getDisplayFormat()